package com.mvc.entity;

import java.math.BigDecimal;
import java.util.Date;

public class TIotcardInfo {
    private Integer id;

    private String msisdn;

    private String iccid;

    private String imsi;

    private String orgname;

    private String operator;

    private String ownerplacevalue;

    private String workingcondition;

    private Integer ownerid;

    private String ownername;

    private String combotype;

    private String comboname;

    private String combonamevalue;

    private BigDecimal totalgprs;

    private BigDecimal usegprs;

    private BigDecimal chargegprs;

    private BigDecimal remaingprs;

    private String opendate;

    private String activatedate;

    private String duedate;

    private String waittype;

    private String waitdate;

    private String testtype;

    private String testdate;

    private String isorienteer;

    private String lifecycle;

    private String voicecombotype;

    private String voicecomboname;

    private Long totalvoice;

    private Long usevoice;

    private Long remainvoice;

    private Integer arrearage;

    private String deviceSn;

    private Date createTime;

    private Integer aireadId;

    private Date sampleTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getMsisdn() {
        return msisdn;
    }

    public void setMsisdn(String msisdn) {
        this.msisdn = msisdn == null ? null : msisdn.trim();
    }

    public String getIccid() {
        return iccid;
    }

    public void setIccid(String iccid) {
        this.iccid = iccid == null ? null : iccid.trim();
    }

    public String getImsi() {
        return imsi;
    }

    public void setImsi(String imsi) {
        this.imsi = imsi == null ? null : imsi.trim();
    }

    public String getOrgname() {
        return orgname;
    }

    public void setOrgname(String orgname) {
        this.orgname = orgname == null ? null : orgname.trim();
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator == null ? null : operator.trim();
    }

    public String getOwnerplacevalue() {
        return ownerplacevalue;
    }

    public void setOwnerplacevalue(String ownerplacevalue) {
        this.ownerplacevalue = ownerplacevalue == null ? null : ownerplacevalue.trim();
    }

    public String getWorkingcondition() {
        return workingcondition;
    }

    public void setWorkingcondition(String workingcondition) {
        this.workingcondition = workingcondition == null ? null : workingcondition.trim();
    }

    public Integer getOwnerid() {
        return ownerid;
    }

    public void setOwnerid(Integer ownerid) {
        this.ownerid = ownerid;
    }

    public String getOwnername() {
        return ownername;
    }

    public void setOwnername(String ownername) {
        this.ownername = ownername == null ? null : ownername.trim();
    }

    public String getCombotype() {
        return combotype;
    }

    public void setCombotype(String combotype) {
        this.combotype = combotype == null ? null : combotype.trim();
    }

    public String getComboname() {
        return comboname;
    }

    public void setComboname(String comboname) {
        this.comboname = comboname == null ? null : comboname.trim();
    }

    public String getCombonamevalue() {
        return combonamevalue;
    }

    public void setCombonamevalue(String combonamevalue) {
        this.combonamevalue = combonamevalue == null ? null : combonamevalue.trim();
    }

    public BigDecimal getTotalgprs() {
        return totalgprs;
    }

    public void setTotalgprs(BigDecimal totalgprs) {
        this.totalgprs = totalgprs;
    }

    public BigDecimal getUsegprs() {
        return usegprs;
    }

    public void setUsegprs(BigDecimal usegprs) {
        this.usegprs = usegprs;
    }

    public BigDecimal getChargegprs() {
        return chargegprs;
    }

    public void setChargegprs(BigDecimal chargegprs) {
        this.chargegprs = chargegprs;
    }

    public BigDecimal getRemaingprs() {
        return remaingprs;
    }

    public void setRemaingprs(BigDecimal remaingprs) {
        this.remaingprs = remaingprs;
    }

    public String getOpendate() {
        return opendate;
    }

    public void setOpendate(String opendate) {
        this.opendate = opendate == null ? null : opendate.trim();
    }

    public String getActivatedate() {
        return activatedate;
    }

    public void setActivatedate(String activatedate) {
        this.activatedate = activatedate == null ? null : activatedate.trim();
    }

    public String getDuedate() {
        return duedate;
    }

    public void setDuedate(String duedate) {
        this.duedate = duedate == null ? null : duedate.trim();
    }

    public String getWaittype() {
        return waittype;
    }

    public void setWaittype(String waittype) {
        this.waittype = waittype == null ? null : waittype.trim();
    }

    public String getWaitdate() {
        return waitdate;
    }

    public void setWaitdate(String waitdate) {
        this.waitdate = waitdate == null ? null : waitdate.trim();
    }

    public String getTesttype() {
        return testtype;
    }

    public void setTesttype(String testtype) {
        this.testtype = testtype == null ? null : testtype.trim();
    }

    public String getTestdate() {
        return testdate;
    }

    public void setTestdate(String testdate) {
        this.testdate = testdate == null ? null : testdate.trim();
    }

    public String getIsorienteer() {
        return isorienteer;
    }

    public void setIsorienteer(String isorienteer) {
        this.isorienteer = isorienteer == null ? null : isorienteer.trim();
    }

    public String getLifecycle() {
        return lifecycle;
    }

    public void setLifecycle(String lifecycle) {
        this.lifecycle = lifecycle == null ? null : lifecycle.trim();
    }

    public String getVoicecombotype() {
        return voicecombotype;
    }

    public void setVoicecombotype(String voicecombotype) {
        this.voicecombotype = voicecombotype == null ? null : voicecombotype.trim();
    }

    public String getVoicecomboname() {
        return voicecomboname;
    }

    public void setVoicecomboname(String voicecomboname) {
        this.voicecomboname = voicecomboname == null ? null : voicecomboname.trim();
    }

    public Long getTotalvoice() {
        return totalvoice;
    }

    public void setTotalvoice(Long totalvoice) {
        this.totalvoice = totalvoice;
    }

    public Long getUsevoice() {
        return usevoice;
    }

    public void setUsevoice(Long usevoice) {
        this.usevoice = usevoice;
    }

    public Long getRemainvoice() {
        return remainvoice;
    }

    public void setRemainvoice(Long remainvoice) {
        this.remainvoice = remainvoice;
    }

    public Integer getArrearage() {
        return arrearage;
    }

    public void setArrearage(Integer arrearage) {
        this.arrearage = arrearage;
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn == null ? null : deviceSn.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getAireadId() {
        return aireadId;
    }

    public void setAireadId(Integer aireadId) {
        this.aireadId = aireadId;
    }

    public Date getSampleTime() {
        return sampleTime;
    }

    public void setSampleTime(Date sampleTime) {
        this.sampleTime = sampleTime;
    }
}